# Missing Unreal Engine Tool Set in Microsoft Visual Studio Toolchain

{% hint style="info" %}
Numerous packaging issues stem from the absence of the C++ toolchain required by Unreal Engine. So it's recommended to check the required toolset before packaging your project.
{% endhint %}

Refer to this [<mark style="color:green;">guide</mark>](https://docs.unrealengine.com/5.1/en-US/setting-up-visual-studio-development-environment-for-cplusplus-projects-in-unreal-engine/) for configuring Microsoft Visual Studio or adjusting the toolsets as per the recommended guidelines by Unreal Engine.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.convai.com/api-docs/plugins-and-integrations/unreal-engine/troubleshoot-guide/missing-unreal-engine-tool-set-in-microsoft-visual-studio-toolchain.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
